package rbxml;
import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import java.util.Properties;
import java.util.ResourceBundle;
import java.util.Vector;

public class XMLResourceBundle extends ResourceBundle {
    private Properties props;

    public XMLResourceBundle(InputStream stream) throws IOException {
        props = new Properties();
        props.loadFromXML(stream);
    }

    protected Object handleGetObject(String key) {
        return props.getProperty(key);
    }

    public Enumeration<String> getKeys() {
        Vector<String> vString = new Vector<String>();
        Enumeration en = props.keys();
        while (en.hasMoreElements()) {
            vString.add((String) en.nextElement());
        }
        return vString.elements();
    }
}

